<?xml version='1.0' encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:m="http://www.w3.org/1998/Math/MathML"
  version='1.0'>
  <xsl:template match="m:mspace">
    <xsl:text>\phantom{\rule</xsl:text>
    <xsl:if test="@depth">
      <xsl:text>[-</xsl:text>
      <xsl:value-of select="@depth"/>
      <xsl:text>]</xsl:text>
    </xsl:if>
    <xsl:text>{</xsl:text>
    <xsl:if test="not(@width)">
      <xsl:text>0ex</xsl:text>
    </xsl:if>
    <xsl:value-of select="@width"/>
    <xsl:text>}{</xsl:text>
    <xsl:if test="not(@height)">
      <xsl:text>0ex</xsl:text>
    </xsl:if>
    <xsl:value-of select="@height"/>
    <xsl:text>}}</xsl:text>
  </xsl:template>
</xsl:stylesheet>
