<?xml version='1.0' encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:m="http://www.w3.org/1998/Math/MathML"
  version='1.0'>
  <xsl:template match="m:mfrac">
    <xsl:choose>
      <xsl:when test="@bevelled='true'">
        <xsl:text>\frac{</xsl:text>
        <!-- <xsl:text>\raisebox{1ex}{</xsl:text>
        <xsl:apply-templates select="./*[1]"/>
        <xsl:text>}\!\left/ \!\raisebox{-1ex}{</xsl:text>
        <xsl:apply-templates select="./*[2]"/>
        <xsl:text>}\right.</xsl:text> -->
      </xsl:when>
      <xsl:when test="@linethickness">
        <xsl:text>\genfrac{}{}{</xsl:text>
        <xsl:choose>
          <xsl:when test="number(@linethickness)">
            <xsl:value-of select="@linethickness div 10"/>
            <xsl:text>ex</xsl:text>
          </xsl:when>
          <xsl:when test="@linethickness='thin'">
            <xsl:text>.05ex</xsl:text>
          </xsl:when>
          <xsl:when test="@linethickness='medium'"/>
          <xsl:when test="@linethickness='thick'">
            <xsl:text>.2ex</xsl:text>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="@linethickness"/>
          </xsl:otherwise>
        </xsl:choose>
        <xsl:text>}{}{</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>\frac{</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="@numalign='right'">
      <xsl:text>\hfill </xsl:text>
    </xsl:if>
    <xsl:apply-templates select="./*[1]"/>
    <xsl:if test="@numalign='left'">
      <xsl:text>\hfill </xsl:text>
    </xsl:if>
    <xsl:text>}{</xsl:text>
    <xsl:if test="@denomalign='right'">
      <xsl:text>\hfill </xsl:text>
    </xsl:if>
    <xsl:apply-templates select="./*[2]"/>
      <xsl:if test="@denomalign='left'">
      <xsl:text>\hfill </xsl:text>
    </xsl:if>
    <xsl:text>}</xsl:text>
  </xsl:template>
</xsl:stylesheet>
