<?xml version='1.0' encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:m="http://www.w3.org/1998/Math/MathML"
  version='1.0'>
  <xsl:template match="m:mtd[@columnspan]">
    <xsl:text>\multicolumn{</xsl:text>
    <xsl:value-of select="@columnspan"/>
    <xsl:text>}{c}{</xsl:text>
    <xsl:apply-templates/>
    <xsl:text>}</xsl:text>
    <xsl:if test="count(following-sibling::*)>0">
      <xsl:text>&amp; </xsl:text>
    </xsl:if>
  </xsl:template>

  <xsl:template match="m:mtd">
    <xsl:if test="@columnalign='right' or @columnalign='center'">
      <xsl:text>\hfill </xsl:text>
    </xsl:if>
    <xsl:apply-templates/>
    <xsl:if test="@columnalign='left' or @columnalign='center'">
      <xsl:text>\hfill </xsl:text>
    </xsl:if>
    <xsl:if test="count(following-sibling::*)>0">
    <!-- this test valid for Sablotron, another form - test="not(position()=last())".
    Also for m:mtd[@columnspan] and m:mtr -->
      <xsl:text>&amp; </xsl:text>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>
